options_manager.c File Reference
`#include "options_manager.h"`
Include dependency graph for options_manager.c:

Go to the source code of this file.

## Functions

void | put_options_from_preferences (ui_state *ui)
void | put_tags_from_filename_regex_options (ui_state *ui)
void | update_output_options (ui_state *ui)

## Detailed Description

    Get the current state of all GUI buttons

The code contained in this file reads out the current state of all GUI buttons and saves it into the structure ui->mp3splt_state.

Definition in file options_manager.c.

## Function Documentation

void put_options_from_preferences | ( | ui_state * | ui | ) |

Update the ui->mp3splt_state structure.

Updates the ui->mp3splt_state structure by reading out the state of the GUI controls. The only exception is that all options that are directly connected to audio output have been split into a separate function: update_output_options(ui)

Definition at line 76 of file options_manager.c.

References get_checked_tags_version_radio_box(), mp3splt_set_float_option(), mp3splt_set_int_option(), mp3splt_set_long_option(), SPLT_CURRENT_TAGS, SPLT_FALSE, SPLT_NO_TAGS, SPLT_OPT_AUTO_ADJUST, SPLT_OPT_CREATE_DIRS_FROM_FILENAMES, SPLT_OPT_FORCE_TAGS_VERSION, SPLT_OPT_FRAME_MODE, SPLT_OPT_INPUT_NOT_SEEKABLE, SPLT_OPT_LENGTH_SPLIT_FILE_NUMBER, SPLT_OPT_PARAM_GAP, SPLT_OPT_PARAM_MIN_LENGTH, SPLT_OPT_PARAM_MIN_TRACK_LENGTH, SPLT_OPT_PARAM_NUMBER_TRACKS, SPLT_OPT_PARAM_OFFSET, SPLT_OPT_PARAM_REMOVE_SILENCE, SPLT_OPT_PARAM_THRESHOLD, SPLT_OPT_SPLIT_MODE, SPLT_OPT_SPLIT_TIME, SPLT_OPT_TAGS, SPLT_OPTION_ERROR_MODE, SPLT_OPTION_LENGTH_MODE, SPLT_OPTION_NORMAL_MODE, SPLT_OPTION_SILENCE_MODE, SPLT_OPTION_TIME_MODE, SPLT_OPTION_TRIM_SILENCE_MODE, SPLT_OPTION_WRAP_MODE, SPLT_TAGS_ORIGINAL_FILE, and SPLT_TRUE.

Here is the call graph for this function:

void update_output_options | ( | ui_state * | ui | ) |

Update the output options.

Update the output options in ui->mp3splt_state by reading out the state of the GUI controls.

All other options are read out in put_options_from_preferences()

Definition at line 50 of file options_manager.c.

References get_checked_output_radio_box(), get_input_filename(), mp3splt_set_filename_to_split(), mp3splt_set_int_option(), mp3splt_set_oformat(), print_status_bar_confirmation(), SPLT_OPT_OUTPUT_FILENAMES, SPLT_OUTPUT_DEFAULT, and SPLT_OUTPUT_FORMAT.

Here is the call graph for this function: